Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.syscat
Class SysCatVOBase

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.server.NamedObjectImpl
oracle.jbo.server.ComponentObjectImpl
oracle.jbo.server.ViewObjectImpl
oracle.jbo.syscat.SysCatVOBase`

All Implemented Interfaces:
  ComponentObject, EntityListener, java.util.EventListener, NavigatableRowIterator, Properties, RowIterator, RowMatchBindValueSupplier, RowSet, RowSetIterator, StructureDef, TransactionListener, TransactionPostListener, VariableManagerOwner, ViewCriteriaManager, ViewObject, ViewObjectDynAttr, WSRowSetIteratorMarshaller, WSRowSetMarshaller, XMLInterface

Direct Known Subclasses:
  SysCatAMChildImpl, SysCatAttributeImpl

public abstract class SysCatVOBase
extends ViewObjectImpl

Field Summary
`protected AttributeDef` | `mPartitionAttrDef`
`protected JIParserNode` | `mPartitionValueNode`

Fields inherited from class oracle.jbo.server.ViewObjectImpl
`DATA_ROWKEYTAG, FETCH_ALL, FETCH_AS_NEEDED, FETCH_DEFAULT, FULLSQL_MODE_AUGMENTATION, FULLSQL_MODE_NO_AUGMENTATION, mAssocClause, mAssocFromClause, mAssocRefs, mAttrDefs, mAttrDefsForExtendedVOs, mAttrDefsTab, mAutoPostChanges, mChangedAttrIndices, mChgAttrIndUseCount, mDefaultMaxActiveNodes, mDefaultMaxRowsPerNode, MIN_ACTIVE_NODES, MIN_ROWS_PER_NODE, mKeyAttrRefs, mOptimizerHint, mOrderBy, mUsePersColl, mUserDefinedQuery, mViewDef, mViewRowSet, mWhere, NEW_ROW_HANDLE, NEW_ROW_INDEX, NEW_ROW_TRACKER, QC_TAG, TRANSIENT_DATA_ROWTAG, XML_ELEM_PASSIVATE_TRANSIENT`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Fields inherited from interface oracle.jbo.ViewObject
`QUERY_MODE_SCAN_DATABASE_TABLES, QUERY_MODE_SCAN_ENTITY_ROWS, QUERY_MODE_SCAN_VIEW_ROWS, QUERY_TIMEOUT_WAIT_FOREVER`

Fields inherited from interface oracle.jbo.RowSet
`FORWARD_ONLY, RANGE_PAGING, RANGE_PAGING_AUTO_POST, SCROLLABLE`

Fields inherited from interface oracle.jbo.RowIterator
`ITER_MODE_LAST_PAGE_FULL, ITER_MODE_LAST_PAGE_PARTIAL, SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_IGNORE_DEPTH_COUNT, XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Constructor Summary
`SysCatVOBase()`

Method Summary
`protected boolean` | `addViewCriteriaToWhereClause()`
`ViewObject` | `findFirstViewObject()`
`ApplicationModule` | `findNextApplicationModule(ApplicationModule am)`
`ViewObject` | `findNextViewObject(ViewObject vo)`
`protected java.lang.Object` | `processWhereClause(java.lang.Object qc, java.lang.String[] partitionAttrNames, boolean isQryChanged)`

Methods inherited from class oracle.jbo.server.ViewObjectImpl
`activateCurrentRow, activateIteratorState, activateNewRowTracker, activateNewRowTracker, activateState, activateState, activateState, activateTransientAttribute, activateTransients, activateTransients, addDynamicAttribute, addListener, addManagementListener, addOrderByClause, addQueryMode, addRowSet, addViewLink, addWhereClause, afterCommit, afterEntityRemove, afterRemove, afterRollback, appendXMLElementNodes, appendXMLElementNodes, applyViewCriteria, beforeCommit, beforeEntityRemove, beforeRollback, bindParametersForCollection, bindRangePagingParams, buildFromClause, buildKey, buildNewCollection, buildOrderByClause, buildQualifyingRowFilters, buildQuery, buildRangePagingQuery, buildRowFilter, buildViewCriteriaClauses, buildWhereClause, cancelQuery, checkPassivateViewAttributes, clearCache, clearViewCriterias, closeFreedStatements, closeRowSet, closeRowSetIterator, createAndInitRow, createDetailRowSet, createFinderVO, createInstance, createInstanceFromResultSet, createKey, createNewRowForCollection, createRow, createRowFromResultSet, createRowSet, createRowSetIterator, createViewCriteria, createViewLinkAccessorRS, createViewLinkAccessorVO, createViewLinkScanBaseRS, createXMLDefinition, criteriaChanged, defineNamedWhereClauseParam, doesRowFilterMatch, dumpQCs, enumerateRowsInRange, executeDetailQuery, executeEmptyRowSet, executeQuery, executeQueryForCollection, findAndSetCurrentRowByKey, findAttributeDef, findByEntity, findByKey, findByKey, findByViewCriteria, findInCacheByKey, findRowInQCs, findRowSet, findRowSetIterator, findViewLinkAccessor, findViewLinkAccessorVO, first, getAccessMode, getAllCachedQueryCollections, getAllRowsInRange, getAllViewCriteriaNames, getAllViewCriterias, getApplicationModule, getApplyViewCriteriaNames, getApplyViewCriterias, getAssociationClause, getAttrDefsForEntityAttr, getAttributeCount, getAttributeDef, getAttributeDefs, getAttributeIndexOf, getAttrIndicesForEntityAttr, getBindingStyle, getByKeyFinderRS, getCachedQueryCollection, getCalculatedAttributeCount, getCliIteratorState, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getDBTransaction, getDefaultRowSet, getDefFullName, getDefName, getDeleteParticipants, getDetailEstimatedRowCount, getDetailRowSets, getDiscrColLoadIndices, getDynamicAttributeCount, getDynamicAttributeOffset, getEntityDef, getEntityDefCount, getEntityDefs, getEstimatedRangePageCount, getEstimatedRowCount, getFetchedRowCount, getFetchMode, getFetchSize, getFilteredRows, getFilteredRows, getFilteredRowsInRange, getFilteredRowsInRange, getFullSqlMode, getImplObject, getInsertParticipants, getIterMode, getKeyAttributeDefs, getLockParticipants, getMasterRowSetIterators, getMaxFetchSize, getNextRangeSet, getOrderByClause, getParametersAsStorageTypes, getPreparedStatement, getPreviousRangeSet, getPrimaryKeys, getPropertiesMap, getProperty, getProxyClassName, getProxyInterfaceName, getQualifyingRowFilters, getQuery, getQueryCollection, getQueryHitCount, getQueryHitCount, getQueryMode, getQueryOptimizerHint, getQueryTimeOut, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowClass, getRowComparator, getRowCount, getRowCountInRange, getRowFilters, getRowFilterValues, getRowFromHandle, getRowMatch, getRowMatchBindValue, getRowMatchFromViewCriteria, getRowProxyClassName, getRowQualifier, getRowSet, getRowSetImpl, getRowSetIterator, getRowSetIterators, getRowSets, getScanRowFilterAttributeDefs, getSignature, getSortBy, getSortCriteria, getSyncLock, getTransPostHandle, getUserDataForCollection, getUserDefinedQuery, getViewAttributeDefImpls, getViewCriteria, getViewCriteria, getViewCriteriaClause, getViewCriteriaClause, getViewDef, getViewLinkDestinationAttributes, getViewLinkNames, getViewLinks, getViewObject, getWhereClause, getWhereClauseParams, getXMLElementTag, getXMLRowElementTag, handleActivatedRowNotFound, hasDefaultRowSet, hasNext, hasNextForCollection, hasPrevious, initFromDef, insertRow, insertRowAtRangeIndex, isAssociationConsistent, isAutoPostChanges, isCollectionPresent, isDynamicAttribute, isDynamicAttribute, isExecuted, isFetchComplete, isForeignKey, isForScan, isForwardOnly, isInternal, isManageRowsByKey, isMaxFetchSizeExceeded, isNameGenerated, isPassivatableTransientAttribute, isPassivationEnabled, isPostedToDB, isQueryChanged, isRangeAtBottom, isRangeAtTop, isReadOnly, isRowValidation, isTransientTransactionListener, isTransientTransactionPostListener, isViewLinkAccessorRetained, last, lookupAttributeDef, markQueryCollectionDirty, next, notifyRowDeleted, notifyRowInserted, notifyRowUpdated, passivateNewRowTracker, passivateState, passivateState, passivateState, passivateTransients, passivateTransients, populateAttributeForRow, postChanges, prepareForActivation, prepareForBatchMode, prepareForPassivation, previous, printXMLDefinition, processSortCriteria, putViewCriteria, readFromXml, readRowXML, readRowXML, readXML, readXML, refreshCollection, refreshWhereClauseParams, releaseUserDataForCollection, remove, removeApplyViewCriteriaName, removeCurrentRow, removeCurrentRowAndRetain, removeCurrentRowFromCollection, removeListener, removeManagementListener, removeMasterRowSetIterator, removeNamedWhereClauseParam, removeRowHandle, removeRowSet, removeViewCriteria, reset, resetSession, retrieveByKey, retrieveByKey, rowQualifies, scrollRange, scrollRangeTo, scrollToRangePage, setAccessMode, setApplyViewCriteriaName, setApplyViewCriteriaNames, setAssociationConsistent, setAutoPostChanges, setBindingStyle, setCurrentRow, setCurrentRowAtRangeIndex, setFetchCompleteForCollection, setFetchMode, setFetchSize, setForwardOnly, setFullSqlMode, setIterMode, setKeyAttributeDefs, setListenToEntityEvents, setManageRowsByKey, setMasterRowSetIterator, setMaxFetchSize, setNamedWhereClauseParam, setNestedSelectForFullSql, setOrderByClause, setPassivatableTransientAttribute, setPassivationEnabled, setPostedToDB, setProxyClassName, setQuery, setQueryAsChanged, setQueryChanged, setQueryMode, setQueryOptimizerHint, setQueryTimeOut, setRangeSize, setRangeStart, setResultSetForCollection, setRowFilterValues, setRowMatch, setRowMatchFromViewCriteria, setRowQualifier, setRowValidation, setSortBy, setTransPostHandle, setUserDataForCollection, setViewCriteriaAdapter, setViewLinkAccessorRetained, setWhereClause, setWhereClauseParam, setWhereClauseParams, showCursorUsage, skipNamedWhereClauseParam, sortRows, sourceChanged, updateRowSetFromXML, validate, writeXML, writeXML, writeXML, writeXML`

Methods inherited from class oracle.jbo.server.ComponentObjectImpl
`addListener, create, createRef, ensureVariableManager, getCompListeners, getCompListenersList, getMessageBundleClass, getProxyClassName, getRootApplicationModule, getVariableManager, hasVariables, isDead, isRegWithPiggyMan, setName, setParent`

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`setParent, setPropertiesMap`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, refreshProperty, setFullName, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getFullName, getName`

Methods inherited from interface oracle.jbo.RowSet
`getName`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`ensureVariableManager, getMessageBundleClass, getVariableManager, hasVariables`

Methods inherited from interface oracle.jbo.Properties
`getProperties, refreshProperty`

Methods inherited from interface oracle.jbo.ComponentObject
`getFullName, getName`

Field Detail

### mPartitionAttrDef

    protected AttributeDef mPartitionAttrDef

### mPartitionValueNode

    protected JIParserNode mPartitionValueNode

Constructor Detail

### SysCatVOBase

    public SysCatVOBase()

Method Detail

### addViewCriteriaToWhereClause

    protected boolean addViewCriteriaToWhereClause()

  Overrides:
    `addViewCriteriaToWhereClause` in class `ViewObjectImpl`

### processWhereClause

    protected java.lang.Object processWhereClause(java.lang.Object qc,
                                                  java.lang.String[] partitionAttrNames,
                                                  boolean isQryChanged)

### findFirstViewObject

    public ViewObject findFirstViewObject()

### findNextViewObject

    public ViewObject findNextViewObject(ViewObject vo)

### findNextApplicationModule

    public ApplicationModule findNextApplicationModule(ApplicationModule am)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.